Results 1 to 6 of 6

Thread: como buscar o valor de uma variavel tipo loginname pelo c#.net

  1. #1
    Member
    Join Date
    2007-06
    Location
    Sumaré
    Posts
    36
    Login to Give a bone
    0

    Smile como buscar o valor de uma variavel tipo loginname pelo c#.net

    olá pessoa,

    estou iniciando meus estudos em C#.Net com AutoCAD. O que preciso é saber como utilizar o thisdrawing.getvariable("") do VBA no C#.Net. qual biblioteca que devo referenciar, encontrei algo do tipo (using Autodesk.AutoCAD.Interop
    só que não esta funcionando, não reconhece o (Interop)

    Alguem pode me ajudar please?

    Obrigado.

  2. #2
    Member
    Join Date
    2008-10
    Location
    São Paulo
    Posts
    7
    Login to Give a bone
    0

    Default Re: como buscar o valor de uma variavel tipo loginname pelo c#.net

    Marcio,

    É possível usar o conjunto Interop do AutoCAD para migrar mais rapidamente códigos VBA. Este está disponível pelo pacote ObjectARX SDK ou através de "Add Reference >> COM" AutoCAD Type Libray. Após adicionar as referencias, tente assim:

    Autodesk.AutoCAD.Interop.AcadApplication acadApp = (Autodesk.AutoCAD.Interop.AcadApplication) Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication;

    Mas isso só funciona dentro do AutoCAD. Se vc for utilizar de fora do AutoCAD (WindowsApplication), tente:
    Autodesk.AutoCAD.Interop.AcadApplication acadApp = (Autodesk.AutoCAD.Interop.AcadApplication)
    Marshal.GetActiveObject("AutoCAD.Application");

    Outra dica interessante é dar uma olhada na DevTV de migração:
    http://through-the-interface.typepad...on-basics.html

    Boa sorte.

  3. #3
    Member
    Join Date
    2008-10
    Location
    São Paulo
    Posts
    7
    Login to Give a bone
    0

    Default Re: como buscar o valor de uma variavel tipo loginname pelo c#.net

    Marcio,

    Confundi completamente o que te respondi...o que vc quer são as variáveis de sistema, certo?

    Uma vez que vc tenha o acadApp anterior, tente:
    acadApp.ActiveDocument.GetVariable()

    Se vc está dentro do AutoCAD, não há necessidade de usar Interop, use direto:
    Autodesk.AutoCAD.ApplicationServices.Application.GetSystemVariable()

    Boa sorte

  4. #4
    Member
    Join Date
    2007-06
    Location
    Sumaré
    Posts
    36
    Login to Give a bone
    0

    Smile Re: como buscar o valor de uma variavel tipo loginname pelo c#.net

    Bom dia, Augusto!

    Muito obrigado pela dica. vou fazer hj os testes, lhe darei um feedback.

    Obrigado.

  5. #5
    Member
    Join Date
    2007-06
    Location
    Sumaré
    Posts
    36
    Login to Give a bone
    0

    Thumbs up Re: como buscar o valor de uma variavel tipo loginname pelo c#.net

    AugustoMaia, Obrigado pela dica!
    veja como ficou o código!, não sei se é a melhor forma, mais funcionou... valeu...

    using System;
    using System.Collections.Generic;
    using System.Text;
    using Autodesk.AutoCAD.ApplicationServices;
    using System.Windows.Forms;

    namespace EstudoAutoCAD
    {
    public class LoginNameAutoCAD
    {
    private string StrLogCAD = Convert.ToString(Autodesk.AutoCAD.ApplicationServices.Application.GetSystemVariable("loginname"));

    public string LogCAD
    {
    #region Buscando Usuário do AutoCAD
    get { return this.StrLogCAD; }
    set { this.StrLogCAD = value; }
    #endregion
    }
    }
    }

  6. #6
    Active Member
    Join Date
    2007-01
    Location
    Ermesinde - Portugal
    Posts
    59
    Login to Give a bone
    0

    Smile Re: como buscar o valor de uma variavel tipo loginname pelo c#.net

    Olá Mário,

    só queria acrescentar que, para ir buscar o utilizador que fez "login" não necessita de ir ao AutoCAd "perguntar" pode usar a classe "Environment" do .NET como pode ver neste link:

    http://msdn.microsoft.com/en-us/libr...vironment.aspx


    Cumprimentos,

Similar Threads

  1. como crear mis propias secciones tipo
    By ociosidad in forum Español - AutoCAD Civil 3D
    Replies: 13
    Last Post: 2012-04-26, 07:34 AM
  2. 2011: Cómo hacer un ensamblaje de este tipo?
    By walter.mardones556715 in forum Español - AutoCAD Civil 3D
    Replies: 0
    Last Post: 2012-01-24, 03:16 PM
  3. Apagando Hatch pelo tipo ou Layer.
    By marangoni in forum Português - Customização / Programação
    Replies: 0
    Last Post: 2008-10-24, 06:40 PM
  4. Como criar uma cota na horizontal ou na vertical pelo VBA
    By marcio.cartacho in forum Português - Customização / Programação
    Replies: 3
    Last Post: 2008-04-03, 02:41 PM
  5. acrescentar uma cota no desenho e editar seu valor pelo VBA
    By marcio.cartacho in forum Português - Customização / Programação
    Replies: 6
    Last Post: 2008-04-02, 01:51 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •